Debian Bug report logs - #326931
ITP: mtasc -- ActionScript 2 compiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Pierre THIERRY <nowhere.man@levallois.eu.org>

Date: Tue, 6 Sep 2005 17:18:03 UTC

Owned by: Paul Wise <pabs3@bonedaddy.net>

Severity: wishlist

Fixed in version mtasc/1.12-1

Done: Paul Wise <pabs3@bonedaddy.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ncannasse@motion-twin.com, <wnpp@debian.org>:
Bug#326931; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
New Bug report received and forwarded. Copy sent to ncannasse@motion-twin.com, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre THIERRY <nowhere.man@levallois.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: mtasc -- ActionScript 2 compiler
Date: Tue, 6 Sep 2005 19:07:28 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : mtasc
  Version         : 1.09
  Upstream Author : Nicolas Cannasse <ncannasse@motion-twin.com>
* URL             : http://www.mtasc.org/
* License         : GPL
  Description     : ActionScript 2 compiler

MTASC can compile large number of .as class files in a very short time
and generate directly the corresponding SWF bytecode without relying on
Macromedia Flash or other tools.

-- 
nowhere.man@levallois.eu.org
OpenPGP 0xD9D50D8A
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#326931; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 326931@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 326931@bugs.debian.org
Subject: mtasc: 326931: needs the CVS version of extlib
Date: Tue, 31 Jan 2006 19:49:03 +0800
[Message part 1 (text/plain, inline)]
Hi,

For potential ITPers: mtasc will not compile with the latest upstream
release of extlib, instead it needs the CVS version. So, you will have
to convince Nicolas Cannasse to find time to release a new extlib and
get that into debian before you start work on mtasc.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Paul Wise <pabs3@bonedaddy.net>. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#326931; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 326931@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: debian-mentors@lists.debian.org
Cc: 326931@bugs.debian.org
Subject: RFS: mtasc -- ActionScript 2 to Flash (SWF) compiler
Date: Fri, 24 Feb 2006 01:27:19 +0800
[Message part 1 (text/plain, inline)]
Hi all,

I've packaged mtasc, a free compiler for creating SWF files from
ActionScript source code. This is part of a general effort to package
osflash stuff for Debian: http://osflash.org/debian_packaging

One issue with the packaging at the moment, is that I'm not sure where
to put the classpath supplied with mtasc. The following come to mind,
I've stuck to the first one for now. 

/usr/share/mtasc/
/usr/share/as/
/usr/share/as2/
/usr/share/actionscript/
/usr/share/actionscript2/

The package version on mentors.d.n is 1.12-0.1. I'll upload a -1 when a
potential sponsor thinks the package is ready to be uploaded.

Package name    : mtasc
Version         : 1.12-1
Original Author : Nicolas Cannasse
License         : GPL
Sponsor request : http://sponsors.debian.net/viewpkg.php?id=231
Packages        : deb-src http://mentors.debian.net/debian unstable main
http://mentors.debian.net/debian/pool/main/m/mtasc/
ITP             : http://bugs.debian.org/326931
Description     : ActionScript 2 to Flash (SWF) compiler
 MTASC is the first ActionScript 2 Open Source free compiler. It can compile
 large numbers of .as class files in a very short time and generate directly
 the corresponding SWF bytecode.
 
 Homepage: http://www.mtasc.org

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Reply sent to Paul Wise <pabs3@bonedaddy.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 326931-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 326931-close@bugs.debian.org
Subject: Bug#326931: fixed in mtasc 1.12-1
Date: Tue, 21 Mar 2006 06:51:33 -0800
Source: mtasc
Source-Version: 1.12-1

We believe that the bug you reported is fixed in the latest version of
mtasc, which is due to be installed in the Debian FTP archive:

mtasc_1.12-1.diff.gz
  to pool/main/m/mtasc/mtasc_1.12-1.diff.gz
mtasc_1.12-1.dsc
  to pool/main/m/mtasc/mtasc_1.12-1.dsc
mtasc_1.12-1_i386.deb
  to pool/main/m/mtasc/mtasc_1.12-1_i386.deb
mtasc_1.12.orig.tar.gz
  to pool/main/m/mtasc/mtasc_1.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326931@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs3@bonedaddy.net> (supplier of updated mtasc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  5 Mar 2006 12:05:37 +0800
Source: mtasc
Binary: mtasc
Architecture: source i386
Version: 1.12-1
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs3@bonedaddy.net>
Changed-By: Paul Wise <pabs3@bonedaddy.net>
Description: 
 mtasc      - ActionScript 2 to Flash (SWF) compiler
Closes: 326931
Changes: 
 mtasc (1.12-1) unstable; urgency=low
 .
   * Initial release (Closes: #326931)
Files: 
 5d39112580f3c3901c12c253d9c50989 616 devel optional mtasc_1.12-1.dsc
 db61bc92cbde9faa83a611f2e2541c54 104887 devel optional mtasc_1.12.orig.tar.gz
 58a45cb37fca3e77f7961f75135e7a47 3218 devel optional mtasc_1.12-1.diff.gz
 84e5f2b7925fe8d224fc47cf47f5a12c 234790 devel optional mtasc_1.12-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFECsoYdC8qQo5jWl4RAgYPAJ9cJ2/e/I5LMwdAGkju0v4hYiQsZACfVbHf
fLIyz541Oh+aPJJmeGa/R0A=
=xAdc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:08:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:19:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.